Name: bonobo
Version: 1.0.22
Release: alt3

%def_disable static

Summary: The component framework for GNOME
License: GPL
Group: System/Libraries
Url: http://www.ximian.com/devzone/tech/bonobo.html

Source: %name-%version.tar.bz2

Requires: lib%name = %version-%release, libefs = %version-%release
Requires: libefs-utils
Requires: ORBit >= 0.5.11
PreReq: oaf >= 0.6.7

# Automatically added by buildreq on Mon Jan 13 2003
BuildRequires: ORBit-devel XFree86-devel XFree86-libs esound-devel freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel gtk-doc imlib-devel indent libORBit libaudiofile-devel libdb1-devel libgnomeprint-devel libpopt-devel libwrap-devel libxml-devel oaf-devel xpm-devel zlib-devel

BuildRequires: XFree86-devel XFree86-libs bison
BuildRequires: docbook-dtds docbook-style-dsssl esound-devel freetype2-devel
BuildRequires: gtk+-devel gtk-doc indent libaudiofile-devel libdb1-devel
BuildRequires: libpopt-devel openjade sgml-common xpm-devel zlib-devel
BuildRequires: glib-devel >= 1.2.1
BuildRequires: gnome-libs-devel >= 1.2.7
BuildRequires: ORBit-devel >= 0.5.11
BuildRequires: oaf-devel >= 0.6.7
BuildRequires: libxml-devel >= 1.8.15
BuildRequires: gdk-pixbuf-devel >= 0.6.0
BuildRequires: libgnomeprint-devel >= 0.16

%description
Bonobo is a set of language and system independant CORBA interfaces
for creating reusable components, controls and creating compound
documents.

The Bonobo distribution includes a Gtk+ based implementation of the
Bonobo interfaces, enabling developers to create reusable
components and applications that can be used to form more complex
documents.

%package -n lib%name
Summary: Shared libraries of the Bonobo component framework
Group: System/Libraries

%package -n lib%name-devel
Summary: Development files for the Bonobo component framework
Group: Development/C
Requires: %name = %version-%release
Requires: lib%name = %version-%release
Requires: libgnomeprint-devel
Provides: %name-devel = %version
Obsoletes: %name-devel
Conflicts: libefs-devel <= 1.0.13

%if_enabled static
%package -n lib%name-devel-static
Summary: Static libraries for the Bonobo component framework
Group: Development/C
Requires: lib%name-devel = %version-%release
Conflicts: libefs-devel-static <= 1.0.13
%endif	# enabled static

%package -n libefs
Summary: Embedded File System library
Group: System/Libraries

%package -n libefs-utils
Summary: Utilities for the Embedded File System library
Group: File tools
Requires: libefs = %version-%release
Conflicts: %name < 1.0.20-alt1

%package -n libefs-devel
Summary: Include files for the Embedded File System library
Group: Development/C
Requires: libefs = %version-%release

%if_enabled static
%package -n libefs-devel-static
Summary: Static libraries for the Embedded File System library
Group: Development/C
Requires: libefs-devel = %version-%release
%endif	# enabled static

%description -n lib%name
Bonobo is a set of language and system independant CORBA interfaces
for creating reusable components, controls and creating compound
documents.

This package provides shared libraries of the Bonobo component framework.

%description -n lib%name-devel
Bonobo is a set of language and system independant CORBA interfaces
for creating reusable components, controls and creating compound
documents.

This package provides files necessary to develop
programs using the Bonobo component framework.

%if_enabled static
%description -n lib%name-devel-static
Bonobo is a set of language and system independant CORBA interfaces
for creating reusable components, controls and creating compound
documents.

This package provides the necessary static libraries to allow you
to develop statically linked programs using
the Bonobo component framework.
%endif	# enabled static

%description -n libefs
This is a first approach to implement a file-system-inside-a-file.
The library is called libefs (EFS = Embedded File System).

This package is part of Bonobo.

%description -n libefs-utils
This package contains utilities to work with files created using
the Embedded File System Library, namely, the efstool utility.

%description -n libefs-devel
This package provides the necessary include files to allow you
to develop programs using the Embedded File System Library.

%if_enabled static
%description -n libefs-devel-static
This package provides the necessary static libraries to allow you
to develop statically linked programs using the Embedded File System Library.
%endif	# enabled static

%prep
%setup -q
bzip2 -9fk ChangeLog

%build
%configure \
%if_enabled static
    --enable-static
%else
    --disable-static
%endif

%make_build

%install
%makeinstall
%find_lang %name

%__rm -f samples.list binaries.list
for f in $RPM_BUILD_ROOT%_bindir/*; do
    f="${f#$RPM_BUILD_ROOT}"
    case "$f" in
	*/efstool )	;;
	*-config )	;;
	*sample* )	echo "$f" >>samples.list ;;
	* )		echo "$f" >>binaries.list ;;
    esac
done

chmod 644 $RPM_BUILD_ROOT%_libdir/pkgconfig/*

%pre
if [ "$DURING_INSTALL" != "" ]; then
	%_bindir/oaf-slay -s ||:
fi

%post -p %post_ldconfig -n lib%name
%postun -p %postun_ldconfig -n lib%name

%post -p %post_ldconfig -n libefs
%postun -p %postun_ldconfig -n libefs

%files -f %name.lang -f binaries.list
%doc AUTHORS COPYING README
%dir %_libdir/bonobo/plugin
%dir %_libdir/bonobo/monikers
%_libdir/bonobo/plugin/*.so*
%_libdir/bonobo/monikers/*.so*
%_datadir/gnome/%name
%_datadir/gnome/ui/*
%_datadir/oaf/*
%_datadir/idl/*.idl

%files -n lib%name
%_libdir/libbonobo*.so.*

%files -n libefs
%_libdir/libefs*.so.*

%files -n libefs-utils
%_bindir/efstool

%files -n libefs-devel
%doc libefs/{AUTHORS,ChangeLog,NEWS,README,TODO}
%_bindir/libefs-config
%_libdir/libefs*.so
#%_libdir/libefs*.la
%_libdir/bonobo/plugin/*_efs.la
%_libdir/pkgconfig/libefs.pc
%_includedir/efs*
#%_datadir/libefs

%if_enabled static
%files -n libefs-devel-static
%_libdir/libefs*.a
%_libdir/bonobo/plugin/*_efs.a
%endif	# enabled static

%files -n lib%name-devel -f samples.list
%doc AUTHORS COPYING ChangeLog.bz2 NEWS README TODO
%doc doc/{*.txt,FAQ,Monikers,bonobo.dtd,std-ui.xml}
%_libdir/libbonobo*.so
%_libdir/*Conf.sh
#%_libdir/libbonobo*.la
%_libdir/bonobo/monikers/*.la
%_libdir/bonobo/plugin/*_fs.la
%_includedir/gnome-1.0/bonobo*
%dir %_datadir/%name
%doc %_datadir/%name/html

%if_enabled static
%files -n lib%name-devel-static
%_libdir/libbonobo*.a
%_libdir/bonobo/monikers/*.a
%_libdir/bonobo/plugin/*_fs.a
%endif	# enabled static

%changelog
* Sat May 22 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.22-alt3
- rebuild without *.la

* Mon Jan 13 2003 AEN <aen@altlinux.ru> 1.0.22-alt2
- Buildreq fixed

* Mon Dec 23 2002 AEN <aen@altlinux.ru> 1.0.22-alt1
- new version

* Mon Nov 04 2002 AEN <aen@altlinux.ru> 1.0.21-alt1
- new version

* Sat Sep 21 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.20-alt3
- disabled static packages by default
- libbonobo/libefs link patch enhancements

* Fri May 17 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.20-alt2
- minor privilege fixes
- more appropriate URL

* Wed May 15 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.20-alt1
- new version
- added libgnomeprint-devel to libbonobo-devel requires
- file lists for binaries
- updated versioned BuildRequires
- patch to build with the bundled libefs.la, not the system one
- filelist fixes
- libefs-utils containing efstool

* Tue Jan 29 2002 AEN <aen@logic.ru> 1.0.19-alt1
- patches removed
- new version
 
* Mon Jan 14 2002 AEN <aen@logic.ru> 1.0.18-alt1
- new version

* Tue Nov 27 2001 AEN <aen@logic.ru> 1.0.17-alt2
- patch from Alexey Morozov (thnx!)

* Fri Nov 16 2001 AEN <aen@logic.ru> 1.0.17-alt1
- new version

* Thu Nov 15 2001 AEN <aen@logic.ru> 1.0.16-alt1
- new version

* Fri Nov 09 2001 AEN <aen@logic.ru> 1.0.15-alt2
- libification :-)

* Thu Nov 08 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.15-alt1
- New version

* Fri Nov 02 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.14-alt1
- New version
- Delibification of bonobo-devel
- Updated summaries and descriptions
- Included more docs, fixed doc lists
- Compressed ChangeLog
- Development files for non-efs plugins moved to bonobo-devel{,-static}

* Mon Oct 29 2001 AEN <aen@logic.ru> 1.0.13-alt1
- new version

* Fri Oct 25 2001 AEN <aen@logic.ru> 1.0.12-alt1
- new version

* Mon Oct 15 2001 AEN <aen@logic.ru> 1.0.10-alt1
- new version

* Tue Oct 9 2001 AEN <aen@logic.ru> 1.0.9-alt1
- new version

* Tue Aug 21 2001 AEN <aen@logic.ru> 1.0.8-alt1
- new version
* Thu Jul 12 2001 AEN <aen@logic.ru> 1.0.7-alt2
- %files fixed

* Fri Jul 6 2001 AEN <aen@logic.ru> 1.0.7-alt1
- new version
* Thu Jun 28 2001 AEN <aen@logic.ru> 1.0.6-alt1
- new version

* Tue May 15 2001 AEN <aen@logic.ru> 1.0.4-alt1
- new version

* Fri May 11 2001 AEN <aen@logic.ru> 1.0.3-alt1
- new version

* Thu Apr 17 2001 AEN <aen@logic.ru> 1.0.2-alt1
- new version

* Sat Apr 7 2001 AEN <aen@logic.ru> 0.37-ipl3mdk
- rebuild with new gnome-print
* Mon Mar 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.37-ipl2mdk
- Moved static libraries to devel-static subpackages.

* Thu Feb 22 2001 AEN <aen@logic.ru>	0.37-ipl1mdk
- 0.37

* Sat Jan 20 2001 Dmitry V. Levin <ldv@fandra.org> 0.33-ipl1mdk
- 0.33

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 0.31-ipl1mdk
- 0.31
- Specfile cleanup.

* Thu Dec 14 2000 AEN <aen@logic.ru>
- 0.30

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.28-1mdk
- Release 0.28

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-5mdk
- Put libefs in separate package

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-4mdk
- Really remove lib from main package !

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-3mdk
- Add missing header (Thanks Dadou and Renaud)

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-2mdk
- Split lib in separate package
- Merge spec from Renaud

* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.23-1mdk
- version 0.23 (for evolution 0.6) (0.25 not compatible)

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.22-1mdk
- new version 0.22
- patch to generate *-ui.xml.h
- added requirements on e2fsprogs for bonobrowser
- updated requirement on ORBit
- updated bin files list

* Fri Oct 13 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.20-1mdk
- new version 0.20

* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-3mdk
- add gnome-print to Requires/BuildRequires (Thanks Pedro Rosa)

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-2mdk
- add some components to make evolution happy

* Mon Aug 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.18-1mdk
- rebuild with new and shiny version.

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-6mdk
- Remove modification of ld.so.conf (thanks Dadou)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.16-5mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-4mdk
- Merge from helix spec

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-3mdk
- Remove previous patch on bonoboConf.sh (not good at all)

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Rebuild to remove dependency on alsa
- clean spec

* Thu Jul 27 2000 dam's <damien@mandrakesoft.com> 0.16-1mdk
- updated to 0.16.

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-3mdk
- BM + more macros
- compile with oaf, add more dependencies

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 0.15-2mdk
- chmouelization.

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 0.15-1mdk
- changed patch bonoboConf.sh to apply on configure file.
- changed patch application.
  Stefan van der Eijk <s.vandereijk@chello.nl> :
- updated to 0.15
- modified bonoboConf.sh file --> location of bonobo includefiles
- added links bonobo.h --> Bonobo.h
- added --enable-oaf=no configure option (it didn't want to build without it
- removed MYARCH_FLAGS="--host=alpha-redhat-linux" it now works out of the
  box on an alpha
- used macros for configure
- new patch : bonoboConf.sh.patch

* Sat Apr 15 2000 DindinX <odin@mandrakesoft.com> 0.9-1mdk
- New version (previous one was really too old and of no use).

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-4mdk
- new groups
- dirty fix to install the ./idl subdir

* Wed Mar  8 2000 Pixel <pixel@mandrakesoft.com> 0.5-3mdk
- add prereq grep

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Oct 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake
- included translations

* Sun Aug 1 1999 Gregory McLean <gregm@comstar.net>
- Some updates. sysconfdir stuff, quiet down the prep/configure stage.

* Sat May 1 1999 Erik Walthinsen <omega@cse.ogi.edu>
- created spec file
